<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>Peminjaman Aset</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12 col-xs-12">
                    <div class="card">
                        <div class="card-header">
                            <h4>List Data</h4>
                        </div>
                        <div class="card-body">
                            <div class="alert alert-success alert-dismissible fade show" role="alert" th:if="${approved != null}">
                                <strong>Approved</strong> Data Berhasil ..
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="alert alert-danger alert-dismissible fade show" role="alert" th:if="${rejected != null}">
                                <strong>Rejected</strong> Data Berhasil ...
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="table-responsive">
                                <table class="table table-striped">
                                    <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Nama Peminjam</th>
                                        <th>Nama Aset</th>
                                        <th>Tanggal Mulai Peminjaman</th>
                                        <th>Tanggal Berakhir Peminjaman</th>
                                        <th>Pembayaran</th>
                                        <th>Kegitan</th>
                                        <th>Deskripsi Kegiatan</th>
                                        <th>Status</th>
                                        <th></th>
                                        <th></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="data, row:${list}">
                                        <td th:text="${(row.index + 1)}"></td>
                                        <td th:text="${data.user.username}"></td>
                                        <td th:text="${data.aset.namaAset}"></td>
                                        <td th:text="${data.tanggalMulaiPeminjaman}"></td>
                                        <td th:text="${data.tanggalBerakhirPeminjaman}"></td>
                                        <td th:text="${data.tagihan}"></td>
                                        <td th:text="${data.kegiatan}"></td>
                                        <td style="white-space: pre-wrap" th:text="${data.keterangan}"></td>
                                        <td th:if="${data.statusPeminjaman == 'WAITING'}">
                                            <button class="btn btn-warning">WAITING</button>
                                        </td>
                                        <td th:if="${data.statusPeminjaman == 'APPROVED'}">
                                            <button class="btn btn-success">APPROVED</button>
                                        </td>
                                        <td th:if="${data.statusPeminjaman == 'REJECTED'}">
                                            <button class="btn btn-danger">REJECTED</button>
                                        </td>
                                        <td th:if="${data.statusPeminjaman == 'REJECTED'}"></td>
                                        <td th:if="${data.statusPeminjaman == 'REJECTED'}"></td>
                                        <td th:if="${data.statusPeminjaman == 'WAITING'}">
                                            <button  class="btn btn-primary" data-toggle="modal" th:data-target="${'#modal' + data.id}">APPROVED</button>

                                            <div class="modal fade" th:id="${'modal' + data.id}" data-backdrop="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                <div class="modal-dialog" role="document">
                                                    <form th:action="@{/approval/assetLoan/approved(peminjamanAset = ${data.id})}" method="post">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="exampleModalLabel">Info !!</h5>
                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <div class="modal-body">
                                                                Apakah Anda Menyetujui Peminjaman Aset <span th:text="${data.aset.namaAset}"></span> ?
                                                            </div>
                                                            <div class="modal-footer">
                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Tidak</button>
                                                                <button type="submit" class="btn btn-primary">Ya</button>
                                                            </div>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </td>
                                        <td th:if="${data.statusPeminjaman == 'APPROVED' && data.statusPembayaran == 'BELUM_DIBAYAR'}"><span class="btn btn-warning"><i class="fa fa-times"></i> Belum dibayar</span></td>
                                        <td th:if="${data.statusPeminjaman == 'APPROVED' && data.statusPembayaran == 'SUDAH_DIBAYAR'}"><span class="btn btn-success"><i class="fa fa-check"></i> Sudah Dibayar</span> </td>
                                        <td th:if="${data.statusPeminjaman == 'WAITING'}">
                                            <button class="btn btn-danger" data-toggle="modal" th:data-target="${'#batal' + data.id}">REJECTED</button>

                                            <div class="modal fade" th:id="${'batal' + data.id}" data-backdrop="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                <div class="modal-dialog" role="document">
                                                    <form th:action="@{/approval/assetLoan/rejeted}" method="post">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title">Info !!</h5>
                                                                <button type= "button" class="close" data-dismiss="modal" aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <div class="modal-body">
                                                                <p>Apakah Anda Menolak Peminjaman Aset <span th:text="${data.aset.namaAset}"></span> ?</p>
                                                                <div class="form-group">
                                                                    <label>Berikan alasannya</label>
                                                                    <input type="hidden" th:value="${data.id}" name="id">
                                                                    <input type="hidden" th:value="${data.aset.id}" name="aset">
                                                                    <input type="hidden" th:value="${data.tanggalMulaiPeminjaman}" name="tanggalMulaiPeminjaman">
                                                                    <input type="hidden" th:value="${data.tanggalBerakhirPeminjaman}" name="tanggalBerakhirPeminjaman">
                                                                    <input type="hidden" th:value="${data.hari}" name="hari">
                                                                    <input type="hidden" th:value="${data.keterangan}" name="keterangan">
                                                                    <input type="hidden" th:value="${data.kegiatan}" name="kegiatan">
                                                                    <input type="hidden" th:value="${data.status}" name="status">
                                                                    <input type="hidden" th:if="${data.user != null}" th:value="${data.user.id}" name="user">
                                                                    <input type="hidden" th:value="${data.tagihan}" name="tagihan">
                                                                    <input type="text" class="form-control" name="keteranganDitolak">
                                                                </div>
                                                            </div>
                                                            <div class="modal-footer">
                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Tidak</button>
                                                                <button type="submit" class="btn btn-primary">Ya</button>
                                                            </div>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </td>
                                        <td th:if="${data.statusPeminjaman == 'APPROVED'}">
                                            <button class="btn btn-info" data-toggle="modal" th:data-target="${'#modalCek' + data.id}" th:if="${data.statusPembayaran == 'SUDAH_DIBAYAR' && data.kondisi == null}">Cek Kondisi Aset</button>
                                            <div class="modal fade" th:id="${'modalCek' + data.id}" data-backdrop="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                <div class="modal-dialog" role="document">
                                                    <form th:action="@{/approval/assetLoan/keterangan}" method="post">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title">Info !!</h5>
                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <div class="modal-body">
                                                                <div class="form-group">
                                                                    <label>Nama Aset</label>
                                                                    <input type="text" readonly class="form-control" th:value="${data.aset.namaAset}">
                                                                    <input type="hidden" th:value="${data.id}" name="id">
                                                                    <input type="hidden" th:value="${data.aset.id}" name="aset">
                                                                    <input type="hidden" th:value="${data.tanggalMulaiPeminjaman}" name="tanggalMulaiPeminjaman">
                                                                    <input type="hidden" th:value="${data.tanggalBerakhirPeminjaman}" name="tanggalBerakhirPeminjaman">
                                                                    <input type="hidden" th:value="${data.hari}" name="hari">
                                                                    <input type="hidden" th:value="${data.keterangan}" name="keterangan">
                                                                    <input type="hidden" th:value="${data.kegiatan}" name="kegiatan">
                                                                    <input type="hidden" th:value="${data.status}" name="status">
                                                                    <input type="hidden" th:value="${data.statusPeminjaman}" name="statusPeminjaman">
                                                                    <input type="hidden" th:if="${data.user != null}" th:value="${data.user.id}" name="user">
                                                                    <input type="hidden" th:value="${data.organisasi}" name="organisasi">
                                                                    <input type="hidden" th:value="${data.tagihan}" name="tagihan">
                                                                    <input type="hidden" th:value="${data.buktiPembayaran}" name="buktiPembayaran">
                                                                    <input type="hidden" th:value="${data.statusPembayaran}" name="statusPembayaran">
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>Kondisi Aset setelah dipinjam</label>
                                                                    <select name="kondisi" class="form-control">
                                                                        <option value="" selected disabled>-- Pilih --</option>
                                                                        <option value="BAIK">BAIK</option>
                                                                        <option value="RUSAK">RUSAK</option>
                                                                    </select>
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>Dekskripsikan keadaan aset</label>
                                                                    <textarea name="deskripsi" class="form-control" id="" cols="30"
                                                                              rows="10"></textarea>
                                                                </div>
                                                            </div>
                                                            <div class="modal-footer">
                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Tidak</button>
                                                                <button type="submit" class="btn btn-primary">Ya</button>
                                                            </div>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                            <button class="btn btn-dark" th:if="${data.statusPembayaran == 'BELUM_DIBAYAR'}">Kirim Tagiahan</button>
                                            <button class="btn btn-success" th:if="${data.statusPembayaran == 'SUDAH_DIBAYAR' && data.kondisi == 'BAIK'}">SELESAI</button>
                                            <button class="btn btn-danger" th:if="${data.statusPembayaran == 'SUDAH_DIBAYAR' && data.kondisi == 'RUSAK'}"><i class="fa fa-refresh"></i>RUSAK</button>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
</body>
</html>